Status: Closed Start date: 2011-11-28

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Story Points:    

Description

[proposed ]KNB upgrade procedure

-shutdown tomcat

-shutdown postgres

-backup database

-backup metacat directory

-backup spatial cache

-copy db, data directory, and spatial cache to new host

-restore metacat db to new postgres instance

-unzip data directory

-restore spatial cache to configured location (default in knb webapp)

-start up tomcat

-step through admin configuration

-items run during "db" upgrade:

-table restructured with guid

-node data for date time fields populated

-system metadata generated

-configure geoserver to point to the spatial cache we saved

-make sure to skip the spatial cache regeneration (admin checkbox)

-register with DataONE as an MN

-added to CN node list and receives Node Id

-generates ORE maps and downloads any remote data files for non-replicated data packages.

-configure skin-specific properties for NCEAS admin DB.

-correct permissions for perl registry to run

-other post-upgrade checklist?

Subtasks:

Task # 2060: Map legacy Metacat docids to newly minted Metacat ids (e.g. DOIs) Closed

Task # 2057: Generate SystemMetadata for existing Metacat objects Closed

Task # 2058: Generate ORE map for Metacat objects Closed

History

#1 - 2011-11-28 20:01 - Dave Vieglais

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

- Position set to 1

- Position deleted (11)

#2 - 2011-12-06 14:35 - Dave Vieglais

- Position set to 6

- Position deleted (12)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#3 - 2011-12-06 14:36 - Dave Vieglais

- Position deleted (9)

- Position changed from 1 to 325
- Position set to 1

#4 - 2011-12-19 18:32 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.51-Block.6

- Position set to 10

- Position deleted (321)

#5 - 2012-01-04 18:45 - Dave Vieglais

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Category set to Metacat

- Assignee set to Ben Leinfelder

- Target version changed from Sprint-2011.51-Block.6 to Sprint-2012.01-Block.1.1

#6 - 2012-01-04 18:52 - Matthew Jones

- Position set to 321

- Position deleted (17)

#7 - 2012-01-17 18:06 - Dave Vieglais

- Position changed from 1 to 352

- Position set to 1

- Position deleted (343)

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

#8 - 2012-01-31 17:55 - Dave Vieglais

- Position set to 26

- Position deleted (353)

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

#9 - 2012-02-08 22:42 - Matthew Jones

- Status changed from New to Closed

All upgrade tasks completed in code.  May need to work on additional performance tuning of upgrade, but that will be done under separate metacat

tickets if at all.
